/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VDdLastchange;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDdLastchangeRecord extends TableRecordImpl<VDdLastchangeRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dd_lastchange.k</code>.
     */
    public void setK(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dd_lastchange.k</code>.
     */
    public Integer getK() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dd_lastchange.name</code>.
     */
    public void setName(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dd_lastchange.name</code>.
     */
    public String getName() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dd_lastchange.lc</code>.
     */
    public void setLc(LocalDateTime value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dd_lastchange.lc</code>.
     */
    public LocalDateTime getLc() {
        return (LocalDateTime) get(2);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDdLastchangeRecord
     */
    public VDdLastchangeRecord() {
        super(VDdLastchange.V_DD_LASTCHANGE);
    }

    /**
     * Create a detached, initialised VDdLastchangeRecord
     */
    public VDdLastchangeRecord(Integer k, String name, LocalDateTime lc) {
        super(VDdLastchange.V_DD_LASTCHANGE);

        setK(k);
        setName(name);
        setLc(lc);
        resetChangedOnNotNull();
    }
}
